<script lang="ts">
    import type { ActionData } from "./$types";

    export let form: ActionData;
</script>

<h1>Nouvelle Session de TP</h1>

<form method="POST">
    {#if form?.missingTitle}
        <p class="error">titre obligatoire</p>
    {/if}

    <input type="text" placeholder="titre" name="title">

    <textarea
        name="notes-for-teacher"
        placeholder="notes pour l'enseignant"
    >{form?.notesForTeacher ?? ''}</textarea>

    <textarea
        name="notes-for-students"
        placeholder="notes pour les étudiants"
    >{form?.notesForStudents ?? ''}</textarea>

    <button type="submit">créer</button>
</form>

<style>
    form {
        display: flex;
        flex-direction: column;
        gap: 1em;
        max-width: 50em;
    }

    input, textarea {
        font-size: 100%;
    }

    textarea {
        min-height: 10em;
        font-size: 120%;
    }

    button {
        align-self: self-end;
    }

    .error {
        color: red;
    }
</style>